## srcinst 0.8.3

=== Makefile ===
# arch-tag: Main Makefile
# Copyright (C) 2004 - 2005 John Goerzen <jgoerzen@complete.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

.PHONY: all
all: setup
	./setup configure
	./setup build

setup: Setup.lhs srcinst.cabal
	ghc -package Cabal Setup.lhs -o setup

doctmp/%.hs: %.lhs doctmp
	mkdir -p `dirname $@`
	$(UNLIT) $< $@

doctmp:
	mkdir doctmp

#libmissingH.a: $(OBJS)
#	-rm -f libmissingH.a
#	ar q libmissingH.a $(OBJS)

#%.o: %.hs
#	ghc -O2 -fallow-overlapping-instances -fallow-undecidable-instances -fglasgow-exts -ilibsrc --make `echo $< | sed -e s,libsrc/,, -e s,.hs$$,, -e s,/,.,g`
#
#%.o: %.lhs
#	ghc -fallow-overlapping-instances -fallow-undecidable-instances -fglasgow-exts -ilibsrc --make `echo $< | sed -e s,libsrc/,, -e s,.lhs$$,, -e s,/,.,g`
#

.PHONY: doc
doc: $(LHSCONVSOURCES)
	-rm -rf html
	mkdir html
	haddock $(HADDOCKARGS) --package=MissingH \
	   --dump-interface=html/MissingH.haddock \
	   -t 'MissingH API Manual' -h -o html $(SOURCES) $(LHSCONVSOURCES)

clean:
	-./setup clean
	-rm -rf html `find . -name "*.o"` `find . -name "*.hi"` \
		`find . -name "*~"` *.a setup dist testsrc/runtests \
		local-pkg doctmp
	-rm -rf testtmp/*
	-cd doc && $(MAKE) clean

.PHONY: local-pkg
local-pkg: all
	echo "[" > local-pkg
	cat .installed-pkg-config >> local-pkg
	echo "]" >> local-pkg

testsrc/runtests: local-pkg $(SOURCES) $(LHSSOURCES)
	ghc6 -O2 -o testsrc/runtests -Ldist/build -odir dist/build \
           -package-conf local-pkg \
           -hidir dist/build -idist/build -itestsrc \
	   -fallow-overlapping-instances -fglasgow-exts \
	   -fallow-undecidable-instances \
                -package HUnit -package MissingH --make testsrc/runtests.hs


#testsrc/runtests: all $(shell find testsrc -name "*.hs")
#	ghc6 -fallow-overlapping-instances -fallow-undecidable-instances -fglasgow-exts -package HUnit --make -o testsrc/runtests -itestsrc -ilibsrc testsrc/runtests.hs

test-ghc6: testsrc/runtests
	testsrc/runtests 

test-hugs:
	runhugs -98 +o -P$(PWD):$(PWD)/testsrc: testsrc/runtests.hs

interact-hugs:
	hugs -98 +o -P$(PWD):

interact-ghci: all
	ghci -fallow-overlapping-instances -fallow-undecidable-instances -fglasgow-exts

interact: interact-hugs

test: test-ghc6 test-hugs

=== debian/changelog ===
srcinst (0.8.3) unstable; urgency=low

  * Clear out spaces in build-depends before processing.
    Closes: #328246.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 16 Sep 2005 06:48:42 -0500

srcinst (0.8.2) unstable; urgency=low

  * Added a README.Debian with a little bit of explanation.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 14 Sep 2005 06:08:27 -0500

srcinst (0.8.1) unstable; urgency=low

  * Rebuilt with the latest GHC to work around gmp transition.
  * Updated source for GHC 6.4 and its cabal.

 -- John Goerzen <jgoerzen@complete.org>  Fri,  9 Sep 2005 09:11:37 -0500

srcinst (0.8.0) unstable; urgency=low

  * Initial release.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 15 Mar 2005 07:53:35 -0600

=== debian/control ===
Source: srcinst
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.4-4.1), libghc6-missingh-dev (>= 0.9.2)
Standards-Version: 3.6.1
Section: utils

Package: srcinst
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, build-essential, apt (>= 0.5)
Description: Build and install Debian packages completely from source
 srcinst is used to build and install Debian packages completely from source.
 All dependencies and build-dependencies are also built recursively from source.
 No binary .debs are required to install packages with this tool; however,
 it does generate binary .debs for your use.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	make setup
	./setup configure --prefix=/usr --ghc

	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	#make test-ghc6
	# Add here commands to compile the package.
	./setup build
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-./setup clean
	-make clean
	-rm -rf setup Setup.hi Setup.ho Setup.o .*config* dist html

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs -a 

	# Add here commands to install the package into debian/tmp
	#./setup copy --copy-prefix=debian/srcinst/usr
	cp dist/build/srcinst debian/srcinst/usr/bin/


# Build architecture-independent files here.
binary-indep: 

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## srcinst 0.8.4

=== debian/changelog ===
srcinst (0.8.4) unstable; urgency=low

  * Now works with removed packages.  Closes: #366457.

 -- John Goerzen <jgoerzen@complete.org>  Tue,  9 May 2006 08:42:45 -0500

## srcinst 0.8.6

=== debian/changelog ===
srcinst (0.8.6) unstable; urgency=low

  * Updated for GHC 6.6

 -- John Goerzen <jgoerzen@complete.org>  Fri, 20 Oct 2006 01:14:23 -0500

srcinst (0.8.5) unstable; urgency=low

  * Rebuilt with ghc6 6.4.2, after fixing cabal file for it.  Closes: #379157.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 21 Jul 2006 05:42:47 -0500

## srcinst 0.8.8

=== debian/changelog ===
srcinst (0.8.8) testing-proposed-updates; urgency=low

  * Re-upload to testing-proposed-updates for etch.  Closes: #414674.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 13 Mar 2007 07:10:20 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: srcinst
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.4-4.1), libghc6-missingh-dev (>= 0.9.2)
+Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.4.2), libghc6-missingh-dev (>= 0.9.2), libghc6-network-dev, libghc6-unix-dev
 Standards-Version: 3.6.1
 Section: utils

## srcinst 0.8.9

=== debian/changelog ===
srcinst (0.8.9) unstable; urgency=medium

  * Re-upload for sid.  Closes: #409687.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 31 Jul 2007 05:38:05 -0500

srcinst (0.8.7) unstable; urgency=low

  * Updated for newer MissingH.  Closes: #409687.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 22 Feb 2007 05:12:48 -0600

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: srcinst
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.4.2), libghc6-missingh-dev (>= 0.9.2), libghc6-network-dev, libghc6-unix-dev
+Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.4.2), libghc6-missingh-dev (>= 0.18.0), libghc6-network-dev, libghc6-unix-dev, libghc6-hslogger-dev
 Standards-Version: 3.6.1
 Section: utils

## srcinst 0.8.10

=== debian/changelog ===
srcinst (0.8.10) unstable; urgency=low

  * Updates for latest GHC and MissingH.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 16 Jan 2008 11:13:29 -0600

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: srcinst
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.4.2), libghc6-missingh-dev (>= 0.18.0), libghc6-network-dev, libghc6-unix-dev, libghc6-hslogger-dev
+Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.8), libghc6-missingh-dev (>= 1.0.0), libghc6-network-dev, libghc6-unix-dev, libghc6-hslogger-dev
 Standards-Version: 3.6.1
 Section: utils

=== debian/rules ===
--- 
+++ 
@@ -68,7 +68,7 @@
 
 	# Add here commands to install the package into debian/tmp
 	#./setup copy --copy-prefix=debian/srcinst/usr
-	cp dist/build/srcinst debian/srcinst/usr/bin/
+	cp dist/build/srcinst/srcinst debian/srcinst/usr/bin/
 
 
 # Build architecture-independent files here.

## srcinst 0.8.10ubuntu1

=== debian/changelog ===
srcinst (0.8.10ubuntu1) oneiric; urgency=low

  * Fix ghc build dependencies. Closes: #629720. LP: #836979.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 02 Sep 2011 23:13:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: srcinst
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.8), libghc6-missingh-dev (>= 1.0.0), libghc6-network-dev, libghc6-unix-dev, libghc6-hslogger-dev
+Build-Depends: debhelper (>= 4.0.0), ghc (>= 6.8), libghc-missingh-dev (>= 1.0.0), libghc-network-dev, libghc-unix-dev, libghc-hslogger-dev
 Standards-Version: 3.6.1
 Section: utils
